Bug 974240 - Test suite failure: tst-once3
Test suite failure: tst-once3
Status: NEW
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: glibc team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1163509
  Show dependency treegraph
 
Reported: 2013-06-13 14:48 EDT by Siddhesh Poyarekar
Modified: 2017-02-28 04:34 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Siddhesh Poyarekar 2013-06-13 14:48:43 EDT
The tst-once3 test case in nptl hangs and fails in rawhide.  This seems to be happening only with the Fedora rawhide configuration, i.e.:

./configure CC=gcc CXX=g++ CFLAGS="-mtune=generic -fasynchronous-unwind-tables -g -O3  -fno-asynchronous-unwind-tables" --prefix=/usr --enable-add-ons=ports,nptl,libidn --with-headers=/usr/include --enable-kernel=3.8.13 --enable-bind-now --build=x86_64-redhat-linux --enable-multi-arch --enable-obsolete-rpc --enable-systemtap --disable-profile --enable-nss-crypt

so this probably has something to do with the CFLAGS or additional optimization.  This is seen even with gcc-4.7, so the compiler is not to blame either.

Package version: glibc-2.17.90-1.fc20

How Reproducible:
Always.

Steps to Reproduce:
See build log.
Comment 1 Fedora End Of Life 2013-09-16 10:11:11 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 4 Jaroslav Reznik 2015-03-03 09:57:45 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 6 Carlos O'Donell 2016-04-01 13:36:57 EDT
Now that the new pthread_once implementation is in upstream, we need to close this bug if it doesn't reproduce in upstream builds.
Comment 7 Jan Kurik 2016-07-26 00:08:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 8 Fedora End Of Life 2017-02-28 04:34:12 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Note You need to log in before you can comment on or make changes to this bug.